Bug 1141656 - Virtio-scsi: performance degradation from 1.5.3 to 2.1.0
Summary: Virtio-scsi: performance degradation from 1.5.3 to 2.1.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 07:14 UTC by Xiaomei Gao
Modified: 2015-03-05 09:55 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-15.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:55:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 1 Fam Zheng 2014-09-15 07:58:35 UTC
There is a WIP on upstream to address this virtio-scsi request allocation slowness:

http://lists.gnu.org/archive/html/qemu-devel/2014-09/msg02896.html

It should be introduced by the g_malloc -> g_malloc0 change, because the structure we are allocating is nearly 50KB (because of the .elem field).

I've applied the patches onto RHEV 7.1 to get this scratch build:

https://brewweb.devel.redhat.com/taskinfo?taskID=7954656

Xiaomei, could you test it? Thanks,

Fam

Comment 2 Xiaomei Gao 2014-09-15 08:09:38 UTC
(In reply to Fam Zheng from comment #1)
> There is a WIP on upstream to address this virtio-scsi request allocation
> slowness:
> 
> http://lists.gnu.org/archive/html/qemu-devel/2014-09/msg02896.html
> 
> It should be introduced by the g_malloc -> g_malloc0 change, because the
> structure we are allocating is nearly 50KB (because of the .elem field).
> 
> I've applied the patches onto RHEV 7.1 to get this scratch build:
> 
> https://brewweb.devel.redhat.com/taskinfo?taskID=7954656
> 
> Xiaomei, could you test it? Thanks,

Fam, sure. We will test the build at once when the machine is available.

Xiaomei

Comment 10 Miroslav Rezanina 2014-12-02 08:29:35 UTC
Fix included in qemu-kvm-rhev-2.1.2-15.el7

Comment 14 Xiaomei Gao 2014-12-15 07:06:51 UTC
Opened another new Bug 1174103 to track ~5%-10% gap between 1.5.3 and 2.1.2, so set the bug as verified.

Comment 16 errata-xmlrpc 2015-03-05 09:55:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.